* 	Perform simple or multiple regression and list 
* 	observations with # largest absolute residuals.
* listres2 yvar xvarlist [if] [in], number(#) [id(varname)]
capture drop program listres2
program listres2, sortpreserve
	version 12.1
	syntax varlist(min=1) [if] [in], Number(integer) [Id(varlist)]
	marksample touse
	quietly regress `varlist' if `touse'
	capture drop Yhat_
	capture drop Resid_
	capture drop Absres_
	quietly predict Yhat_ if `touse'
	quietly predict Resid_ if `touse', resid
	quietly gen Absres_ = abs(Resid_)
	gsort -Absres_
	drop Absres_
	list `id' `1' Yhat_ Resid_ in 1/`number'
end
